import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:flutter/material.dart';

import '../props/UikSortPageProps.dart';

// ignore: must_be_immutable
class UikSortPage extends UikWidget {
  // ignore: unused_field
  final WidgetType _widgetType;
  final UikSortPageProps _uikSortPageProps;
  UikSortPage(this._widgetType, this._uikSortPageProps)
      : super(_widgetType, _uikSortPageProps);

  @override
  // ignore: no_logic_in_create_state
  _UikSortPageState createState() => _UikSortPageState(_uikSortPageProps);
}

class _UikSortPageState extends State<UikSortPage> {
  final UikSortPageProps _uikSortPageProps;
  _UikSortPageState(this._uikSortPageProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      child: (_uikSortPageProps.sheet != null)
          ? _uikSortPageProps.sheet
          : const Text(''),
    );
  }
}
