import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikStackedImageProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

UikStackedImageProps $UikStackedImagePropsFromJson(Map<String, dynamic> json) {
  final UikStackedImageProps uikStackedImageProps = UikStackedImageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikStackedImageProps.id = id;
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikStackedImageProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikStackedImageProps.height = height;
  }

  final double? borderRadius =
      jsonConvert.convert<double>(json['borderRadius']);
  if (borderRadius != null) {
    uikStackedImageProps.borderRadius = borderRadius;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikStackedImageProps.topMargin = topMargin;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikStackedImageProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikStackedImageProps.rightMargin = rightMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikStackedImageProps.bottomMargin = bottomMargin;
  }

  final double? topLeftRadius =
      jsonConvert.convert<double>(json['topLeftRadius']);
  if (topLeftRadius != null) {
    uikStackedImageProps.topLeftRadius = topLeftRadius;
  }

  final double? topRightRadius =
      jsonConvert.convert<double>(json['topRightRadius']);
  if (topRightRadius != null) {
    uikStackedImageProps.topRightRadius = topRightRadius;
  }

  final double? bottomLeftRadius =
      jsonConvert.convert<double>(json['bottomLeftRadius']);
  if (bottomLeftRadius != null) {
    uikStackedImageProps.bottomLeftRadius = bottomLeftRadius;
  }

  final double? bottomRightRadius =
      jsonConvert.convert<double>(json['bottomRightRadius']);
  if (bottomRightRadius != null) {
    uikStackedImageProps.bottomRightRadius = bottomRightRadius;
  }

  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    uikStackedImageProps.url = url;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikStackedImageProps.action = action;
  }
  return uikStackedImageProps;
}
