import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../../props/UikSlidderProps.dart';

UikSlidderProps $UikSlidderPropsFromJson(Map<String, dynamic> json) {
  final UikSlidderProps uikSlidderProps = UikSlidderProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikSlidderProps.id = id;
  }

  final String? isRounded = jsonConvert.convert<String>(json['isRounded']);
  if (isRounded != null) {
    uikSlidderProps.isRounded = isRounded;
  }

  final double? trackWidth = jsonConvert.convert<double>(json['trackWidth']);
  if (trackWidth != null) {
    uikSlidderProps.trackWidth = trackWidth;
  }
  final double? minimum = jsonConvert.convert<double>(json['minimum']);
  if (minimum != null) {
    uikSlidderProps.minimum = minimum;
  }
  final double? maximum = jsonConvert.convert<double>(json['maximum']);
  if (maximum != null) {
    uikSlidderProps.maximum = maximum;
  }

  final String? isRange = jsonConvert.convert<String>(json['isRange']);
  if (isRange != null) {
    uikSlidderProps.isRange = isRange;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikSlidderProps.action = action;
  }
  return uikSlidderProps;
}
