import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikStackImageIconProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../../components/UikStackedImage.dart';
import '../../components/WidgetType.dart';
import '../../props/UikStackedImageProps.dart';

UikStackImageIconProps $UikStackImageIconPropsFromJson(
    Map<String, dynamic> json) {
  final UikStackImageIconProps uikStackImageIconProps =
      UikStackImageIconProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikStackImageIconProps.id = id;
  }
  final String? image = jsonConvert.convert<String>(json['image']);
  if (image != null) {
    uikStackImageIconProps.image = UikStackedImage(WidgetType.UikStackedImage,
        UikStackedImageProps.fromJson(json['image']));
  }

  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikStackImageIconProps.width = width;
  }

  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikStackImageIconProps.height = height;
  }

  final double? borderRadius =
      jsonConvert.convert<double>(json['borderRadius']);
  if (borderRadius != null) {
    uikStackImageIconProps.borderRadius = borderRadius;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikStackImageIconProps.topMargin = topMargin;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikStackImageIconProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikStackImageIconProps.rightMargin = rightMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikStackImageIconProps.bottomMargin = bottomMargin;
  }

  final double? topLeftRadius =
      jsonConvert.convert<double>(json['topLeftRadius']);
  if (topLeftRadius != null) {
    uikStackImageIconProps.topLeftRadius = topLeftRadius;
  }

  final double? topRightRadius =
      jsonConvert.convert<double>(json['topRightRadius']);
  if (topRightRadius != null) {
    uikStackImageIconProps.topRightRadius = topRightRadius;
  }

  final double? bottomLeftRadius =
      jsonConvert.convert<double>(json['bottomLeftRadius']);
  if (bottomLeftRadius != null) {
    uikStackImageIconProps.bottomLeftRadius = bottomLeftRadius;
  }

  final double? bottomRightRadius =
      jsonConvert.convert<double>(json['bottomRightRadius']);
  if (bottomRightRadius != null) {
    uikStackImageIconProps.bottomRightRadius = bottomRightRadius;
  }

  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    uikStackImageIconProps.url = url;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikStackImageIconProps.action = action;
  }
  return uikStackImageIconProps;
}
