import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_actionSheet_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikActionSheetProps extends WidgetProps {
  late String id;
  late String title;
  late dynamic itemList = [];
  late Widget? widget;
  late UikAction action;
  // ignore: avoid_init_to_null
  late Widget? checkbox = null;
  // ignore: avoid_init_to_null
  late Widget? cancelButton = null;

  UikActionSheetProps();

  factory UikActionSheetProps.fromJson(Map<String, dynamic> json) =>
      $UikActionSheetPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
