import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_HomeCardOne_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHomeCardOneProps extends WidgetProps {
  late String id;
  late Widget? text;
  late Widget? image;
  late UikAction action;

  UikHomeCardOneProps();

  factory UikHomeCardOneProps.fromJson(Map<String, dynamic> json) =>
      $UikHomeCardOnePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
