import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';

import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../components/UikWidget.dart';
import '../generated/json/uik_new_review_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikNewReviewProps extends WidgetProps {
  late String id;
  late Widget? icon = null;
  late Widget? text;
  late Widget? review;
  late Widget? sendreview;
  late Widget? rating;
  late Widget? textarea;

  late Widget? image;
  late Widget? uploadpic;

  late Widget? lefttext;

  late UikAction action;

  UikNewReviewProps();

  factory UikNewReviewProps.fromJson(Map<String, dynamic> json) =>
      $UikNewReviewPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
