import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_chips_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_nointernet_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikNoInternetProps extends WidgetProps {
  late String id;
  late UikAction action;

  UikNoInternetProps();

  factory UikNoInternetProps.fromJson(Map<String, dynamic> json) =>
      $UikNoInternetPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
