// ignore_for_file: must_be_immutable

import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikAppBarProps.dart';
import 'package:flutter/material.dart';

class UikAppBar extends UikWidget {
  // ignore: unused_field
  final WidgetType _widgetType;
  final UikAppBarProps _uikAppBarProps;

  UikAppBar(this._widgetType, this._uikAppBarProps)
      : super(_widgetType, _uikAppBarProps);

  @override
  _UikAppBarState createState() =>
      // ignore: no_logic_in_create_state
      _UikAppBarState(_uikAppBarProps);
}

class _UikAppBarState extends State<UikAppBar> {
  // ignore: unused_field
  final UikAppBarProps _uikAppBarProps;

  _UikAppBarState(this._uikAppBarProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      children: [
        Container(
          margin: EdgeInsets.only(
              top: _uikAppBarProps.topMargin,
              left: _uikAppBarProps.sideMargin,
              right: _uikAppBarProps.sideMargin,
              bottom: _uikAppBarProps.bottomMargin),
          child: Row(
            mainAxisAlignment: MainAxisAlignment.spaceBetween,
            children: [
        
              _uikAppBarProps.leadingIcon ?? Text(""),
              _uikAppBarProps.centerText ?? Text(""),
              _uikAppBarProps.rightElement ?? Text("")
            ],
          ),
        ),
      ],
    );
  }
}
