import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';

import '../props/UikCartTextHorizontalProps.dart';

class UikCartTextHorizontal extends UikWidget {
  WidgetType _widgetType;
  UikCartTextHorizontalProps _uikCartTextHorizontalProps;
  UikCartTextHorizontal(this._widgetType, this._uikCartTextHorizontalProps)
      : super(_widgetType, _uikCartTextHorizontalProps);

  @override
  _UikCartTextHorizontalState createState() =>
      _UikCartTextHorizontalState(_uikCartTextHorizontalProps);
}

class _UikCartTextHorizontalState extends State<UikCartTextHorizontal> {
  UikCartTextHorizontalProps _uikCartTextHorizontalProps;
  _UikCartTextHorizontalState(this._uikCartTextHorizontalProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Container(
          width: 392,
          child: Column(
            children: [
              Container(
                margin: EdgeInsets.only(left: 16),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      // width: 57,
                      // height: 32,
                      child: const Text(
                        "total",
                        style: TextStyle(
                          fontSize: 24,
                          fontWeight: FontWeight.w600,
                        ),
                      ),
                    ),
                    // const SizedBox(
                    //   width: 250,
                    // ),
                    Container(
                      // width: 98,
                      // height: 32,
                      margin: const EdgeInsets.only(right: 16),
                      child: Text(
                        "\$${_uikCartTextHorizontalProps.totalPrice}",
                        style: TextStyle(
                          fontSize: 24,
                          fontWeight: FontWeight.w600,
                        ),
                      ),
                    )
                  ],
                ),
              ),
              Container(
                margin: EdgeInsets.only(bottom: 32),
                child: Row(
                  mainAxisAlignment: MainAxisAlignment.spaceBetween,
                  children: [
                    Container(
                      margin: const EdgeInsets.only(left: 16),
                      child: const Text("Promocode",
                          style: TextStyle(
                              fontSize: 16,
                              fontWeight: FontWeight.w400,
                              color: Color(0xff9E9E9E))),
                    ),
                    //  const SizedBox(
                    //   width: 225,
                    // ),
                    Container(
                      margin: EdgeInsets.only(right: 16),
                      child: Text(
                        "\$-25",
                        style: TextStyle(
                          fontSize: 16,
                          fontWeight: FontWeight.w400,
                          color: Color(0xff9E9E9E),
                        ),
                      ),
                    )
                  ],
                ),
              )
            ],
          ),
        ),
      ],
    );
  }
}
