// ignore: file_names
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikHomeCardNineProps.dart';
import 'package:flutter/material.dart';

class UikHomeCardNine extends UikWidget {
  WidgetType _widgetType;
  UikHomeCardNineProps _uikHomeCardNineProps;
  UikHomeCardNine(this._widgetType, this._uikHomeCardNineProps)
      : super(_widgetType, _uikHomeCardNineProps);

  @override
  _UikHomeCardNineState createState() =>
      _UikHomeCardNineState(_uikHomeCardNineProps);
}

class _UikHomeCardNineState extends State<UikHomeCardNine> {
  UikHomeCardNineProps _uikHomeCardNineProps;
  _UikHomeCardNineState(this._uikHomeCardNineProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 142.0,
      width: 252.0,
      //color: const Color(0xFFFFFFFF),
      child: Column(
        children: [
          Stack(
            children: [
              _uikHomeCardNineProps.image!,
              Positioned(
                top: 97,
                left: 205,
                child: Container(
                  height: 20.0,
                  width: 35.0,
                  decoration: BoxDecoration(
                      color: const Color(0xFFFEE440),
                      borderRadius: BorderRadius.circular(
                        5,
                      )),
                ),
              ),
              Positioned(
                top: 11,
                left: 212,
                child: _uikHomeCardNineProps.icon!,
              ),
              Positioned(
                top: 88,
                left: 200,
                child: _uikHomeCardNineProps.badgeText!,
              ),
              Positioned(
                top: 51,
                left: 3,
                child: _uikHomeCardNineProps.text!,
              ),
              Positioned(
                top: 77,
                left: 3,
                child: _uikHomeCardNineProps.description!,
              ),
            ],
          ),
        ],
      ),
    );
  }
}
