import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class UikText extends UikWidget {
  WidgetType _widgetType;
  UikTextProps _uikTextProps;
  UikText(this._widgetType, this._uikTextProps)
      : super(_widgetType, _uikTextProps);

  @override
  _UikTextState createState() => _UikTextState(_uikTextProps);
}

class _UikTextState extends State<UikText> {
  final UikTextProps _uikTextProps;
  _UikTextState(this._uikTextProps);

  @override
  Widget build(BuildContext context) {
    return Text(
      _uikTextProps.text,
      //overflow: _uikTextProps.,
      style: TextStyle(
        // _uikTextProps.fontFamily!,
        fontFamily: _uikTextProps.fontFamily,
        decoration: _uikTextProps.isStrike
            ? TextDecoration.lineThrough
            : TextDecoration.none,
        fontSize: _uikTextProps.size,
        fontWeight: _uikTextProps.fontWeight,
        color: _uikTextProps.color,
      ),
    );
  }
}
