import 'dart:convert';

import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/StandardScreenResponse.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

StandardScreenResponse $StandardPageResponseEntityFromJson(
    Map<String, dynamic> json) {
  //print("jhdgjhgdfjhg");
  //print(json);
  final StandardScreenResponse standardPageResponseEntity =
      StandardScreenResponse();
  final String? type = jsonConvert.convert<String>(json['type']);
  if (type != null) {
    standardPageResponseEntity.type = type;
  }
  // print("hello2");
  final String? componentStype =
      jsonConvert.convert<String>(json['componentStype']);
  if (componentStype != null) {
    standardPageResponseEntity.componentStype = componentStype;
  }
  // print("hello3");
  final List<StandardPageResponseWidgets>? widgets = jsonConvert
      .convertListNotNull<StandardPageResponseWidgets>(json['widgets']);
  if (widgets != null) {
    standardPageResponseEntity.widgets = widgets;
  }
  // print("hello4");
  // final StandardPageResponseDataStore? dataStore = jsonConvert.convert<StandardPageResponseDataStore>(json['dataStore']);
  // if (dataStore != null) {
  // 	standardPageResponseEntity.dataStore = dataStore;
  // }
  //final Map<String, WidgetProps>? dataStore = jsonDecode(json['dataStore']);
  final Map<String, dynamic> dataStore = Map.from(json['dataStore']);
  // jsonConvert.convert<Map<String, WidgetProps>>(json['dataStore']);
  if (dataStore != null) {
    standardPageResponseEntity.dataStore = dataStore;
  }
  // print("hello5");
  return standardPageResponseEntity;
}

Map<String, dynamic> $StandardPageResponseEntityToJson(
    StandardScreenResponse entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['type'] = entity.type;
  data['componentStype'] = entity.componentStype;
  data['widgets'] = entity.widgets.map((v) => v.toJson()).toList();
  // data['dataStore'] = entity.dataStore.toJson();
  data['dataStore'] = jsonEncode(entity.dataStore);
  return data;
}

StandardPageResponseWidgets $StandardPageResponseWidgetsFromJson(
    Map<String, dynamic> json) {
  final StandardPageResponseWidgets standardPageResponseWidgets =
      StandardPageResponseWidgets();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    standardPageResponseWidgets.id = id;
  }
  final String? uiType = jsonConvert.convert<String>(json['uiType']);
  if (uiType != null) {
    standardPageResponseWidgets.uiType = uiType;
  }
  return standardPageResponseWidgets;
}

Map<String, dynamic> $StandardPageResponseWidgetsToJson(
    StandardPageResponseWidgets entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['uiType'] = entity.uiType;
  return data;
}

StandardPageResponseDataStoreTitleText
    $StandardPageResponseDataStoreTitleTextFromJson(Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleText
      standardPageResponseDataStoreTitleText =
      StandardPageResponseDataStoreTitleText();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    standardPageResponseDataStoreTitleText.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    standardPageResponseDataStoreTitleText.text = text;
  }
  final StandardPageResponseDataStoreTitleTextAction? action = jsonConvert
      .convert<StandardPageResponseDataStoreTitleTextAction>(json['action']);
  if (action != null) {
    standardPageResponseDataStoreTitleText.action = action;
  }
  return standardPageResponseDataStoreTitleText;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleTextToJson(
    StandardPageResponseDataStoreTitleText entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['text'] = entity.text;
  data['action'] = entity.action.toJson();
  return data;
}

StandardPageResponseDataStoreTitleTextAction
    $StandardPageResponseDataStoreTitleTextActionFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleTextAction
      standardPageResponseDataStoreTitleTextAction =
      StandardPageResponseDataStoreTitleTextAction();
  final StandardPageResponseDataStoreTitleTextActionTap? tap = jsonConvert
      .convert<StandardPageResponseDataStoreTitleTextActionTap>(json['tap']);
  if (tap != null) {
    standardPageResponseDataStoreTitleTextAction.tap = tap;
  }
  return standardPageResponseDataStoreTitleTextAction;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleTextActionToJson(
    StandardPageResponseDataStoreTitleTextAction entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['tap'] = entity.tap.toJson();
  return data;
}

StandardPageResponseDataStoreTitleTextActionTap
    $StandardPageResponseDataStoreTitleTextActionTapFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleTextActionTap
      standardPageResponseDataStoreTitleTextActionTap =
      StandardPageResponseDataStoreTitleTextActionTap();
  final String? type = jsonConvert.convert<String>(json['type']);
  if (type != null) {
    standardPageResponseDataStoreTitleTextActionTap.type = type;
  }
  final StandardPageResponseDataStoreTitleTextActionTapData? data =
      jsonConvert.convert<StandardPageResponseDataStoreTitleTextActionTapData>(
          json['data']);
  if (data != null) {
    standardPageResponseDataStoreTitleTextActionTap.data = data;
  }
  return standardPageResponseDataStoreTitleTextActionTap;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleTextActionTapToJson(
    StandardPageResponseDataStoreTitleTextActionTap entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['type'] = entity.type;
  data['data'] = entity.data.toJson();
  return data;
}

StandardPageResponseDataStoreTitleTextActionTapData
    $StandardPageResponseDataStoreTitleTextActionTapDataFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleTextActionTapData
      standardPageResponseDataStoreTitleTextActionTapData =
      StandardPageResponseDataStoreTitleTextActionTapData();
  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    standardPageResponseDataStoreTitleTextActionTapData.url = url;
  }
  return standardPageResponseDataStoreTitleTextActionTapData;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleTextActionTapDataToJson(
    StandardPageResponseDataStoreTitleTextActionTapData entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['url'] = entity.url;
  return data;
}

StandardPageResponseDataStoreTitleButton
    $StandardPageResponseDataStoreTitleButtonFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleButton
      standardPageResponseDataStoreTitleButton =
      StandardPageResponseDataStoreTitleButton();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    standardPageResponseDataStoreTitleButton.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    standardPageResponseDataStoreTitleButton.text = text;
  }
  final StandardPageResponseDataStoreTitleButtonAction? action = jsonConvert
      .convert<StandardPageResponseDataStoreTitleButtonAction>(json['action']);
  if (action != null) {
    standardPageResponseDataStoreTitleButton.action = action;
  }
  return standardPageResponseDataStoreTitleButton;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleButtonToJson(
    StandardPageResponseDataStoreTitleButton entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['text'] = entity.text;
  data['action'] = entity.action.toJson();
  return data;
}

StandardPageResponseDataStoreTitleButtonAction
    $StandardPageResponseDataStoreTitleButtonActionFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleButtonAction
      standardPageResponseDataStoreTitleButtonAction =
      StandardPageResponseDataStoreTitleButtonAction();
  final StandardPageResponseDataStoreTitleButtonActionTap? tap = jsonConvert
      .convert<StandardPageResponseDataStoreTitleButtonActionTap>(json['tap']);
  if (tap != null) {
    standardPageResponseDataStoreTitleButtonAction.tap = tap;
  }
  return standardPageResponseDataStoreTitleButtonAction;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleButtonActionToJson(
    StandardPageResponseDataStoreTitleButtonAction entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['tap'] = entity.tap.toJson();
  return data;
}

StandardPageResponseDataStoreTitleButtonActionTap
    $StandardPageResponseDataStoreTitleButtonActionTapFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleButtonActionTap
      standardPageResponseDataStoreTitleButtonActionTap =
      StandardPageResponseDataStoreTitleButtonActionTap();
  final String? type = jsonConvert.convert<String>(json['type']);
  if (type != null) {
    standardPageResponseDataStoreTitleButtonActionTap.type = type;
  }
  final StandardPageResponseDataStoreTitleButtonActionTapData? data =
      jsonConvert.convert<
          StandardPageResponseDataStoreTitleButtonActionTapData>(json['data']);
  if (data != null) {
    standardPageResponseDataStoreTitleButtonActionTap.data = data;
  }
  return standardPageResponseDataStoreTitleButtonActionTap;
}

Map<String, dynamic> $StandardPageResponseDataStoreTitleButtonActionTapToJson(
    StandardPageResponseDataStoreTitleButtonActionTap entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['type'] = entity.type;
  data['data'] = entity.data.toJson();
  return data;
}

StandardPageResponseDataStoreTitleButtonActionTapData
    $StandardPageResponseDataStoreTitleButtonActionTapDataFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreTitleButtonActionTapData
      standardPageResponseDataStoreTitleButtonActionTapData =
      StandardPageResponseDataStoreTitleButtonActionTapData();
  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    standardPageResponseDataStoreTitleButtonActionTapData.url = url;
  }
  return standardPageResponseDataStoreTitleButtonActionTapData;
}

Map<String, dynamic>
    $StandardPageResponseDataStoreTitleButtonActionTapDataToJson(
        StandardPageResponseDataStoreTitleButtonActionTapData entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['url'] = entity.url;
  return data;
}

StandardPageResponseDataStoreImageHeadline
    $StandardPageResponseDataStoreImageHeadlineFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreImageHeadline
      standardPageResponseDataStoreImageHeadline =
      StandardPageResponseDataStoreImageHeadline();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    standardPageResponseDataStoreImageHeadline.id = id;
  }
  final String? src = jsonConvert.convert<String>(json['src']);
  if (src != null) {
    standardPageResponseDataStoreImageHeadline.src = src;
  }
  final StandardPageResponseDataStoreImageHeadlineAction? action =
      jsonConvert.convert<StandardPageResponseDataStoreImageHeadlineAction>(
          json['action']);
  if (action != null) {
    standardPageResponseDataStoreImageHeadline.action = action;
  }
  return standardPageResponseDataStoreImageHeadline;
}

Map<String, dynamic> $StandardPageResponseDataStoreImageHeadlineToJson(
    StandardPageResponseDataStoreImageHeadline entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  data['src'] = entity.src;
  data['action'] = entity.action.toJson();
  return data;
}

StandardPageResponseDataStoreImageHeadlineAction
    $StandardPageResponseDataStoreImageHeadlineActionFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreImageHeadlineAction
      standardPageResponseDataStoreImageHeadlineAction =
      StandardPageResponseDataStoreImageHeadlineAction();
  final StandardPageResponseDataStoreImageHeadlineActionTap? tap =
      jsonConvert.convert<StandardPageResponseDataStoreImageHeadlineActionTap>(
          json['tap']);
  if (tap != null) {
    standardPageResponseDataStoreImageHeadlineAction.tap = tap;
  }
  return standardPageResponseDataStoreImageHeadlineAction;
}

Map<String, dynamic> $StandardPageResponseDataStoreImageHeadlineActionToJson(
    StandardPageResponseDataStoreImageHeadlineAction entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['tap'] = entity.tap.toJson();
  return data;
}

StandardPageResponseDataStoreImageHeadlineActionTap
    $StandardPageResponseDataStoreImageHeadlineActionTapFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreImageHeadlineActionTap
      standardPageResponseDataStoreImageHeadlineActionTap =
      StandardPageResponseDataStoreImageHeadlineActionTap();
  final String? type = jsonConvert.convert<String>(json['type']);
  if (type != null) {
    standardPageResponseDataStoreImageHeadlineActionTap.type = type;
  }
  final StandardPageResponseDataStoreImageHeadlineActionTapData? data =
      jsonConvert
          .convert<StandardPageResponseDataStoreImageHeadlineActionTapData>(
              json['data']);
  if (data != null) {
    standardPageResponseDataStoreImageHeadlineActionTap.data = data;
  }
  return standardPageResponseDataStoreImageHeadlineActionTap;
}

Map<String, dynamic> $StandardPageResponseDataStoreImageHeadlineActionTapToJson(
    StandardPageResponseDataStoreImageHeadlineActionTap entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['type'] = entity.type;
  data['data'] = entity.data.toJson();
  return data;
}

StandardPageResponseDataStoreImageHeadlineActionTapData
    $StandardPageResponseDataStoreImageHeadlineActionTapDataFromJson(
        Map<String, dynamic> json) {
  final StandardPageResponseDataStoreImageHeadlineActionTapData
      standardPageResponseDataStoreImageHeadlineActionTapData =
      StandardPageResponseDataStoreImageHeadlineActionTapData();
  final String? url = jsonConvert.convert<String>(json['url']);
  if (url != null) {
    standardPageResponseDataStoreImageHeadlineActionTapData.url = url;
  }
  return standardPageResponseDataStoreImageHeadlineActionTapData;
}

Map<String, dynamic>
    $StandardPageResponseDataStoreImageHeadlineActionTapDataToJson(
        StandardPageResponseDataStoreImageHeadlineActionTapData entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['url'] = entity.url;
  return data;
}
