import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikRadioButtonListProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

UikRadioButtonListProps $UikRadioButtonListPropsFromJson(
    Map<String, dynamic> json) {
  final UikRadioButtonListProps uikRadioButtonListProps =
      UikRadioButtonListProps();

  final String? id = jsonConvert.convert<String>(json['id']);

  final List<dynamic>? textList =
      jsonConvert.convert<List<dynamic>>(json["textList"]);

  final double? height = jsonConvert.convert<double>(json["height"]);

  final double? leftMargin = jsonConvert.convert<double>(json["leftMargin"]);

  final double? rightMargin = jsonConvert.convert<double>(json["rightMargin"]);

  final double? topMargin = jsonConvert.convert<double>(json["topMargin"]);

  final double? bottomMargin =
      jsonConvert.convert<double>(json["bottomMargin"]);

  if (id != null) {
    uikRadioButtonListProps.id = id;
  }

  if (textList != null) {
    for (int i = 0; i < textList.length; i++) {
      uikRadioButtonListProps.textList
          .add(UikText(WidgetType.UikText, UikTextProps.fromJson(textList[i])));
    }
  }

  if (height != null) {
    uikRadioButtonListProps.height = height;
  }

  if (leftMargin != null) {
    uikRadioButtonListProps.leftMargin = leftMargin;
  }

  if (rightMargin != null) {
    uikRadioButtonListProps.rightMargin = rightMargin;
  }

  if (topMargin != null) {
    uikRadioButtonListProps.topMargin = topMargin;
  }

  if (bottomMargin != null) {
    uikRadioButtonListProps.bottomMargin = bottomMargin;
  }

  return uikRadioButtonListProps;
}

Map<String, dynamic> $UikRadioButtonListPropsToJson(
    UikRadioButtonListProps entity) {
  final Map<String, dynamic> data = <String, dynamic>{};
  data['id'] = entity.id;
  // data['action'] = entity.action.toJson();
  return data;
}
