import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikImageProps.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/utils/extensions.dart';

UikImageProps $UikImagePropsFromJson(Map<String, dynamic> json) {
  final UikImageProps uikButtonProps = UikImageProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikButtonProps.id = id;
  }
  final String? src = jsonConvert.convert<String>(json['src']);
  if (src != null) {
    uikButtonProps.src = src;
  }
  final double? height = jsonConvert.convert<double>(json['height']);
  if (height != null) {
    uikButtonProps.height = height;
  }
  final double? width = jsonConvert.convert<double>(json['width']);
  if (width != null) {
    uikButtonProps.width = width;
  }
  final double? rad = jsonConvert.convert<double>(json['rad']);
  if (rad != null) {
    uikButtonProps.rad = rad;
  }
  final String? iFit = jsonConvert.convert<String>(json['iFit']);
  if (iFit != null) {
    uikButtonProps.iFit = BoxFit.values.firstWhere((e) => e.toString() == iFit);
  }
  final dynamic? opacity = jsonConvert.convert<dynamic>(json['opacity']);
  if (opacity != null) {
    uikButtonProps.opacity = opacity;
  }
  final String? borderColor = jsonConvert.convert<String>(json['borderColor']);
  if (borderColor != null) {
    uikButtonProps.borderColor = borderColor.toColor();
  }
  final double? wid = jsonConvert.convert<double>(json['wid']);
  if (wid != null) {
    uikButtonProps.wid = wid;
  }
  final bool? isCenter = jsonConvert.convert<bool>(json['isCenter']);
  if (isCenter != null) {
    uikButtonProps.isCenter = isCenter;
  }

  final double? leftMargin = jsonConvert.convert<double>(json['marginLeft']);
  if (leftMargin != null) {
    uikButtonProps.marginLeft = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['marginRight']);
  if (rightMargin != null) {
    uikButtonProps.marginRight = rightMargin;
  }

  final double? topMargin = jsonConvert.convert<double>(json['marginTop']);
  if (topMargin != null) {
    uikButtonProps.marginTop = topMargin;
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikButtonProps.action = action;
  }
  return uikButtonProps;
}
