import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/cupertino.dart';

import '../../props/UikToolTipProps.dart';

UikToolTipProps $UikToolTipPropsFromJson(Map<String, dynamic> json) {
  final UikToolTipProps uikToolTipProps = UikToolTipProps();

  final List<dynamic>? ll = jsonConvert.convert<List<dynamic>>(json['ll']);
  if (ll != null) {
    uikToolTipProps.ll = ll;
  }

  final double? childwidth = jsonConvert.convert<double>(json['childwidth']);
  if (childwidth != null) {
    uikToolTipProps.childwidth = childwidth;
  }

  // final Widget? child = jsonConvert.convert<Widget>(json['child']);
  // if (child != null) {
  //   uikToolTipProps.child = child;
  // }

  final double? childheight = jsonConvert.convert<double>(json['childheight']);
  if (childheight != null) {
    uikToolTipProps.childheight = childheight;
  }

  final bool? bulletPoint = jsonConvert.convert<bool>(json['bulletPoint']);
  if (bulletPoint != null) {
    uikToolTipProps.bulletPoint = bulletPoint;
  }

  final bool? NoBackground = jsonConvert.convert<bool>(json['NoBackground']);
  if (NoBackground != null) {
    uikToolTipProps.NoBackground = NoBackground;
  }

  final String? direction = jsonConvert.convert<String>(json['direction']);
  if (direction != null) {
    uikToolTipProps.direction = direction;
  }

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikToolTipProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['text']);
  if (text != null) {
    uikToolTipProps.text = text;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikToolTipProps.action = action;
  }
  return uikToolTipProps;
}
