import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

var emptyNavbar = {
  "id": "navbar",
  "size": "small",
  "transparency": "false",
  "backgroundColor": "0xFFFAFAFA",
  "titleText": "67895",
  "leftIcon": {
    "id": "titleIcon",
    "iconVal": "0xee85",
    "iconColor": "0xFF212121",
    "borderColor": "0xFF212121",
    "backgroundColor": "0xFF9E9E9E",
    "iconSize": "24.0",
    "action": {
      "tap": {
        "type": "UIK_OPEN_WEB",
        "data": {
          "url":
              "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
        }
      }
    }
  },
  "action": {
    "tap": {
      "type": "UIK_OPEN_WEB",
      "data": {
        "url":
            "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
      }
    }
  }
};

var emptyProductCard = {
  "id": "productCard",
  "productPrice": "180.00",
  "productDescription": "Dummy Description of Product",
  "orderButton": {
    "id": "orderButton",
    "type": "primary",
    "text": "Order again",
    "backgroundColor": "0XFFFEE440",
    "textWeight": FontWeight.w500,
    "widthSize": "117",
    "heightSize": "36",
    "action": {
      "tap": {
        "type": "UIK_OPEN_WEB",
        "data": {"url": "https://www.tesla.com/"}
      }
    }
  },
  "imageUrl":
      "https://images.pexels.com/photos/213780/pexels-photo-213780.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500,https://images.pexels.com/photos/213780/pexels-photo-213780.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=500,https://images.pexels.com/photos/213780/pexels-photo-213780.jpeg?auto=compress&cs=tinysrgb&dpr=1&w=50",
  "action": {
    "tap": {
      "type": "UIK_OPEN_WEB",
      "data": {
        "url":
            "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
      }
    }
  }
};

//time details
var emptyHeadline1 = {
  "id": "headline1",
  "text": " ",
  "color": "0xff212121",
  "size": "24",
  "fontWeight": FontWeight.w600,
  "leftMargin": 16.0,
  "topMargin": 16.0,
  "bottomMargin": 8.0,
  "action": {
    "tap": {
      "type": "UIK_OPEN_WEB",
      "data": {
        "url":
            "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
      }
    }
  }
};

//payment status
var emptyHeadline2 = {
  "id": "headline2",
  "text": " ",
  "color": "0xff9E9E9E",
  "size": "14",
  "fontWeight": FontWeight.w400,
  "leftMargin": 16.0,
  "bottomMargin": 38.0,
  "action": {
    "tap": {
      "type": "UIK_OPEN_WEB",
      "data": {
        "url":
            "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
      }
    }
  }
};

// delivery info cell
var emptyCell = {
  "id": "titleCell",
  "widthSize": 375.0,
  "heightSize": 55.0,
  "leftMargin": 0,
  // "rightMargin": 22,
  "topMargin": 42,
  "bottomMargin": 26,
  "contentPaddingLeft": 0.0,
  "contentPaddingRight": 16.0,
  "titleText": {
    "id": "titleText",
    "text": "delivery info",
    "color": "0xff212121",
    "size": "24",
    "fontWeight": FontWeight.w600,
  },
  "rightElement": {
    "id": "rightElement",
    "type": "primary",
    "text": "In Transit",
    "backgroundColor": "0XFF3F51B5",
    "textColor": "0XFFFFFFFF",
    "textWeight": FontWeight.w500,
    "widthSize": 114,
    "heightSize": 31,
    "borderRadius": 4.0,
    "topMargin": 14,
    "action": {
      "tap": {
        "type": "UIK_OPEN_WEB",
        "data": {"url": "https://www.tesla.com/"}
      }
    },
  },
};

//delivery mode details
var emptyCell1 = {
  "id": "titleCell",
  "widthSize": 375.0,
  "heightSize": 55.0,
  "contentPaddingLeft": 16.0,
  // "contentPaddingRight": 16.0,
  "leftElement": {
    "id": "titleIcon",
    "iconVal": "0xefc6",
    "iconColor": "0xFF212121",
    "borderColor": "0xFF212121",
    "backgroundColor": "0xFF9E9E9E",
    "iconSize": "24.0",
    "action": {
      "tap": {
        "type": "UIK_OPEN_WEB",
        "data": {
          "url":
              "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
        }
      }
    }
  },
  "titleText": {
    "id": "titleText",
    "text": " ",
    "color": "0xff212121",
    "size": "16",
    "fontWeight": FontWeight.w400,
    "leftMargin": 18.0
  }
};

// location details
var emptyCell2 = {
  "id": "titleCell",
  "widthSize": 375.0,
  "heightSize": 55.0,
  "contentPaddingLeft": 16.0,
  // "contentPaddingRight": 16.0,
  "leftElement": {
    "id": "titleIcon",
    "iconVal": "0xf193",
    "iconColor": "0xFF212121",
    "borderColor": "0xFF212121",
    "backgroundColor": "0xFF9E9E9E",
    "iconSize": "24.0",
    "action": {
      "tap": {
        "type": "UIK_OPEN_WEB",
        "data": {
          "url":
              "https://sylhetmirror.com/2022/04/03/tesla-delivers-over-1-million-electric-cars-over-past-year/"
        }
      }
    }
  },
  "titleText": {
    "id": "titleText",
    "text": " ",
    "color": "0xff212121",
    "size": "16",
    "fontWeight": FontWeight.w400,
    "leftMargin": 18.0
  },
  "subtitleText": {
    "id": "subtitleText",
    "text": " ",
    "color": "0xff9e9e9e",
    "size": "14",
    "fontWeight": FontWeight.w400,
    "leftMargin": 18.0
  },
};
