import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_discount_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikDiscountProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget icon = const Icon(Icons.abc);
  late Widget centerText1 = const Text('');
  late Widget centerText2 = const Text('');
  late Widget button = const Text("");
  late double sideMargin = 0.0;
  late double bottomMargin = 0.0;
  late double topMargin = 0.0;

  UikDiscountProps();

  factory UikDiscountProps.fromJson(Map<String, dynamic> json) =>
      $UikDiscountPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
