import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_Headline_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikHeadlineProps extends WidgetProps {
  late String id;
  late double leftMargin = 0.0;
  late double rightMargin = 0.0;
  late double topMargin = 0.0;
  late double bottomMargin = 0.0;
  late Widget? firstText = null;
  late Widget? secondText = null;
  late Widget? thirdText = null;
  late Widget? fourthText = null;
  late String imageUrl = "";
  late String secondimageUrl = "";
  late UikAction action;

  UikHeadlineProps();

  factory UikHeadlineProps.fromJson(Map<String, dynamic> json) =>
      $UikHeadlinePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
