import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_otp_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikOtpProps extends WidgetProps {
  late String id;
  late UikAction action;

  UikOtpProps();

  factory UikOtpProps.fromJson(Map<String, dynamic> json) =>
      $UikOtpPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
