import 'dart:convert';
import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_RadioButtonList_props.g.dart';

import 'WidgetProps.dart';

@JsonSerializable()
class UikRadioButtonListProps extends WidgetProps {
  late String id;
  List<Widget> textList = [];
  double height = 0.0;
  double topMargin = 0.0;
  double bottomMargin = 0.0;
  double leftMargin = 0.0;
  double rightMargin = 0.0;

  UikRadioButtonListProps();

  factory UikRadioButtonListProps.fromJson(Map<String, dynamic> json) =>
      $UikRadioButtonListPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikRadioButtonListPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
