import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';

import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_review_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikReviewProps extends WidgetProps {
  late String id;
  late Widget? icon = null;
  late Widget? datetext;
  late Widget? review;
  late Widget? avatar;

  late Widget? rating;

  late Widget? image;

  late Widget? nametext;
  late Widget? dectext;

  late UikAction action;

  UikReviewProps();

  factory UikReviewProps.fromJson(Map<String, dynamic> json) =>
      $UikReviewPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
