import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';

import '../generated/json/uik_top_100_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikTop100Props extends WidgetProps {
  late String newItems = "Top 100 Hot List";
  late String timeDescription = "Updating Hourly";
  late String tag = "ALL";

  late String id;
  late String text;
  late UikAction action;

  UikTop100Props();

  factory UikTop100Props.fromJson(Map<String, dynamic> json) =>
      $UikTop100PropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
